abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
včera 15:00 | Nová verze

Byla vydána nová verze 21.05.01 svobodného multiplatformního video editoru Shotcut (Wikipedie). Z novinek vývojáři zdůrazňují Time Remap. Shotcut je k dispozici také ve formátech AppImage, Flatpak a Snap.

Ladislav Hagara | Komentářů: 0
včera 14:44 | IT novinky

Sdružení CZ.NIC, správce české národní domény, provedlo výměnu systémů pro generování zóny .CZ a její podepisování pomocí technologie DNSSEC. Od minulého týdne zajišťuje tyto procesy autoritativní server Knot DNS, který tak vystřídal DNS démona BIND a speciální interně vyvíjené podepisovací skripty. Podrobněji v příspěvku na blogu.

Ladislav Hagara | Komentářů: 0
včera 09:00 | Nová verze

Android Studio (Wikipedie), tj. oficiální integrované vývojové prostředí pro vývoj aplikací pro mobilní operační systém Android, bylo vydáno v nové stabilní verzi 4.2. Přehled novinek i s náhledy v oficiálním oznámení a také na YouTube.

Ladislav Hagara | Komentářů: 0
4.5. 22:22 | Zajímavý článek

William Cohen publikoval na blogu Red Hat Developer článek Instant replay: Debugging C and C++ programs with rr věnovaný ladění programů v C a C++ pomocí nástroje a frameworku rr.

Ladislav Hagara | Komentářů: 0
4.5. 21:22 | Bezpečnostní upozornění

Společnost Qualys na svém blogu informuje o 21 bezpečnostních chybách v MTA Exim zneužitelných lokálně i vzdáleně. Některé z nich k získání práva roota. Detaily v 21nails.txt. Chyby jsou opraveny v upstream verzi 4.94.2.

Ladislav Hagara | Komentářů: 6
4.5. 20:44 | IT novinky

Dle aktuálního žebříčků W3Techs je nginx nejrozšířenějším webovým serverem. Poprvé překonal Apache.

Ladislav Hagara | Komentářů: 0
4.5. 17:11 | Bezpečnostní upozornění

Byla vydána nová verze 4.1.10 kancelářského balíku Apache OpenOffice. Řešena je především bezpečnostní chyba CVE-2021-30245. Kliknutí na odkaz (ne HTTP a HTTPS) může vést ke spuštění zákeřného kódu. Chyba je v OpenOffice (StarOffice/OpenOffice.org) od roku 2005.

Ladislav Hagara | Komentářů: 2
4.5. 07:00 | Nová verze

Byla vydána verze R14.0.10 desktopového prostředí Trinity Desktop Environment (TDE, fork KDE 3.5, Wikipedie). Přehled novinek v poznámkách k vydání. Podrobný přehled v Changelogu. Zdůraznit lze například dvě nové aplikace: KlamAV a Komposé.

Ladislav Hagara | Komentářů: 26
3.5. 23:44 | Komunita

V rámci dubnových novinek v Linux Mintu bylo oznámeno, že grafická aplikace Warpinator umožňující snadný přenos souborů po lokální síti je vedle Flathubu pro jiné linuxové distribuce nově k dispozici také pro Android. Instalovat lze z Google Play. Vývoj tohoto na Linux Mintu nezávislého projektu probíhá na GitHubu. Linux Mint lze nově oficiálně provozovat na cloudové službě Shells.com.

Ladislav Hagara | Komentářů: 0
3.5. 13:22 | Komunita

Alyssa Rosenzweig informuje o aktuálním stavu open source ovladače pro Apple M1 GPU. Po trojúhelníku a kostce na M1 běží už také glxgears. Ovladač je součástí upstream Mesa.

Ladislav Hagara | Komentářů: 1
Transakční aktualizace
 (8%)
 (4%)
 (7%)
 (2%)
 (12%)
 (66%)
Celkem 83 hlasů
 Komentářů: 0
Rozcestník

Dotaz: Gimp 2.0

Petr Ullmann avatar 28.4.2004 22:32 Petr Ullmann | skóre: 19 | blog: Linuxový bloček | Praha - Kobylisy
Gimp 2.0
Přečteno: 180×
Zdravim, zkusil jsem si nainstalovat Gimp 2.0, použil jsem verzi ze slackware-current, aktualizoval jsem pango, glib2 a atk. Při spuštení gimpu na mě vybafne hláška: gimp: relocation error: gimp: undefined symbol: gdk_threads_lock. Nevíte někdo, co s tím? Děkuju za každou radu. Petr
Forza Linux!!!

Odpovědi

28.4.2004 22:54 VícNežNic | skóre: 42 | blog: Spáleniště | Ne dost daleko
Rozbalit Rozbalit vše Re: Gimp 2.0
Zkusil bych upgradovat na GTK 2.4 (i když to může znamenat aktualizovat další dva tři balíčky, nevím), ten by to měl obsahovat
Nebo případně zkompilovat ze zdrojáků
Copak toho není dost?
28.4.2004 23:20 unchallenger | skóre: 69 | blog: unchallenger
Rozbalit Rozbalit vše Re: Gimp 2.0
Jo, v Gtk+-2.2 ještě gdk_threads_lock není. Gimp-2.0 samozřejmě jde zkompilovat i s Gtk+-2.2, takže akorát neinstalovat binárky slinkované s něčím jiným, než máš nainstalováno...
Petr Ullmann avatar 29.4.2004 07:42 Petr Ullmann | skóre: 19 | blog: Linuxový bloček | Praha - Kobylisy
Rozbalit Rozbalit vše Re: Gimp 2.0
Díky, zkusím GTK 2.4.
Forza Linux!!!
Petr Ullmann avatar 29.4.2004 08:30 Petr Ullmann | skóre: 19 | blog: Linuxový bloček | Praha - Kobylisy
Rozbalit Rozbalit vše Re: Gimp 2.0
Tak nový GTK pomohlo, ale teď mu zase chybí libXinerama, nevím v jakym balíku bych jí našel?
Forza Linux!!!
29.4.2004 12:04 Yeti
Rozbalit Rozbalit vše Re: Gimp 2.0
Neni jednodussi si ho zkompilovat s tim, co mas, kdys mas system, ktery nepouziva zavislosti?
Petr Ullmann avatar 29.4.2004 18:17 Petr Ullmann | skóre: 19 | blog: Linuxový bloček | Praha - Kobylisy
Rozbalit Rozbalit vše Re: Gimp 2.0
Naistalovat to ze zdrojáků jsem taky zkusil, ale hlásí mi to, že nenašel GTK+>=2.2.2, i když tam je naistalovaný naistalovaný GTK+2.4.
Forza Linux!!!
29.4.2004 18:23 unchallenger | skóre: 69 | blog: unchallenger
Rozbalit Rozbalit vše Re: Gimp 2.0
Kde je gtk+-2.0.pc? Je v PKG_CONFIG_PATH?
Petr Ullmann avatar 29.4.2004 19:04 Petr Ullmann | skóre: 19 | blog: Linuxový bloček | Praha - Kobylisy
Rozbalit Rozbalit vše Re: Gimp 2.0
Jak ho dostanu do PKG_CONFIG_PATH? V nápovědě je ať zkusím pkg-config --debug. Ten gtk+-2.0.pc najde, ale stejně to nejde. Nebo druhá možnost dostat ho do PKG_CONFIG_PATH.
Forza Linux!!!
29.4.2004 19:32 unchallenger | skóre: 69 | blog: unchallenger
Rozbalit Rozbalit vše Re: Gimp 2.0
Pokud

pkg-config --modversion gtk+-2.0

vypíše verzi Gtk+ >= 2.2.2, a přitom si Gimp stěžuje, tak je někde bug -- buď je špatně nainstalované Gtk+, nebo je špatně ten test v ./configure Gimpu (čemuž bych se divil). Co to přesně píše?
Petr Ullmann avatar 29.4.2004 19:54 Petr Ullmann | skóre: 19 | blog: Linuxový bloček | Praha - Kobylisy
Rozbalit Rozbalit vše Re: Gimp 2.0
tak pkg-config --modversion gtk+-2.0 vypíše: Package atk was not found in the pkg-config search path. Perhaps you should add the directory containing `atk.pc' to the PKG_CONFIG_PATH environment variable Package 'atk', required by 'GTK+', not found.

ale atk je nainstalované, protože pkg-config --modversion atk.pc vypíše verzi atk 1.2.0
Forza Linux!!!
29.4.2004 20:19 unchallenger | skóre: 69 | blog: unchallenger
Rozbalit Rozbalit vše Re: Gimp 2.0
To je podezřelé, protože atk-1.2.0 je celkem stará a na začátku píšeš, žes atk upgradoval. Máš opravdu 1.2.0? Neválí se ti tam zbytky něčeho starého?
Petr Ullmann avatar 29.4.2004 20:22 Petr Ullmann | skóre: 19 | blog: Linuxový bloček | Praha - Kobylisy
Rozbalit Rozbalit vše Re: Gimp 2.0
To atk 1.2.0 jsem instaloval já. Podívám se po nějaký novější verzi.
Forza Linux!!!
29.4.2004 20:26 unchallenger | skóre: 69 | blog: unchallenger
Rozbalit Rozbalit vše Re: Gimp 2.0
No, pokud je to správná verze, tak to asi tím nebude. S tím, že by pkg-config u něčeho při --modversion psal, že to máš, ale v závislosti psal, že to nemáš, jsem se zatím nesetkal ... takže kdoví, čím to je.
Petr Ullmann avatar 29.4.2004 20:31 Petr Ullmann | skóre: 19 | blog: Linuxový bloček | Praha - Kobylisy
Rozbalit Rozbalit vše Re: Gimp 2.0
tak jsem nainstaloval atk-1.6.0 z ftp gimpu a pořád nic. asi budu muset přeinstalovat gtk, že jo?
Forza Linux!!!
29.4.2004 20:37 unchallenger | skóre: 69 | blog: unchallenger
Rozbalit Rozbalit vše Re: Gimp 2.0
To kdybych tak věděl (IMHO to nepomůže -- co by se tím mělo změnit?) ... já bych asi v tuhle chvíli už začal debuggovat pkg-config, abych zjistil, co vlastně se pokouší dělat...
Petr Ullmann avatar 29.4.2004 20:39 Petr Ullmann | skóre: 19 | blog: Linuxový bloček | Praha - Kobylisy
Rozbalit Rozbalit vše Re: Gimp 2.0
myslíš pkg-config --debug?
Forza Linux!!!
29.4.2004 20:44 unchallenger | skóre: 69 | blog: unchallenger
Rozbalit Rozbalit vše Re: Gimp 2.0
Pro začátek. V horším případě přímo debuggovat program. Ale to je poměrně zoufalá možnost...
Petr Ullmann avatar 29.4.2004 20:38 Petr Ullmann | skóre: 19 | blog: Linuxový bloček | Praha - Kobylisy
Rozbalit Rozbalit vše Re: Gimp 2.0
ještě poslední pokus, kde seženu knihovnu libXinerama?
Forza Linux!!!
29.4.2004 21:02 unchallenger | skóre: 69 | blog: unchallenger
Rozbalit Rozbalit vše Re: Gimp 2.0
Od té se běžně vyskytuje jen .a, a ta je v xfree86-devel.
29.4.2004 13:24 VícNežNic | skóre: 42 | blog: Spáleniště | Ne dost daleko
Rozbalit Rozbalit vše Re: Gimp 2.0
Tvrdí se, že by to mělo být v X 4.4.0, no, říkal jsem, že se to neobejde bez dalších pěti aktualizací :-(
Copak toho není dost?
29.4.2004 19:25 Petr Šigut
Rozbalit Rozbalit vše Re: Gimp 2.0
Ja mam Slackware 9.1 a pouzil jsem gimp z linuxpackages.net http://www3.linuxpackages.net/packages/Slackware-9.1/pcxz/gimp/gimp-2.0.1-i686-1.tgz

a bez problemu... proc to neztahnete odsud? nebo jsem neco prehlid?
Dalibor Smolík avatar 29.4.2004 20:29 Dalibor Smolík | skóre: 54 | blog: Postrehy_ze_zivota | 50°5'31.93"N,14°19'35.51"E
Rozbalit Rozbalit vše Re: Gimp 2.0
Ja jsem stahnul Gimp ze stranky ftp://ftp.gimp.org/pub/gimp/v2.O/ soubor gimp.2.0.1.tar.bz2, po instalaci zadny problem, jen se mi nepodarilo nainstalovat napovedu ( u MDK 10.0)
Rozdíly v řeči a ve zvyklostech neznamenají vůbec nic, budeme-li mít stejné cíle a otevřená srdce.
29.4.2004 20:33 unchallenger | skóre: 69 | blog: unchallenger
Rozbalit Rozbalit vše Re: Gimp 2.0
Já jsem s ním taky zatím nikde neměl problém (teda kromě té nápovědy, ale tu nepotřebuji ;) takže kdybys to nenapsal, tak to nevím) ... nemám ovšem Slackware.

P.S.: To píšeš schválně do URL O namísto nuly, aby nešlo použít?
Dalibor Smolík avatar 30.4.2004 10:14 Dalibor Smolík | skóre: 54 | blog: Postrehy_ze_zivota | 50°5'31.93"N,14°19'35.51"E
Rozbalit Rozbalit vše Re: Gimp 2.0
Proboha to ne... je to preklep, prisel jsem na to az po odeslani.<>omlouvam se.
Rozdíly v řeči a ve zvyklostech neznamenají vůbec nic, budeme-li mít stejné cíle a otevřená srdce.

Založit nové vláknoNahoru

Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

ISSN 1214-1267   www.czech-server.cz
© 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.